{
  "schema_version": "1.4.0",
  "id": "GHSA-hvmr-v3mc-jxc9",
  "modified": "2022-05-13T01:25:01Z",
  "published": "2022-05-13T01:25:01Z",
  "aliases": [
    "CVE-2011-1746"
  ],
  "details": "Multiple integer overflows in the (1) agp_allocate_memory and (2) agp_create_user_memory functions in drivers/char/agp/generic.c in the Linux kernel before 2.6.38.5 allow local users to trigger buffer overflows, and consequently cause a denial of service (system crash) or possibly have unspecified other impact, via vectors related to calls that specify a large number of memory pages.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2011-1746"
    },
    {
      "type": "WEB",
      "url": "https://bugzilla.redhat.com/show_bug.cgi?id=698998"
    },
    {
      "type": "WEB",
      "url": "https://lkml.org/lkml/2011/4/14/294"
    },
    {
      "type": "WEB",
      "url": "https://lkml.org/lkml/2011/4/19/400"
    },
    {
      "type": "WEB",
      "url": "http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git%3Ba=commit%3Bh=b522f02184b413955f3bc952e3776ce41edc6355"
    },
    {
      "type": "WEB",
      "url": "http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commit;h=b522f02184b413955f3bc952e3776ce41edc6355"
    },
    {
      "type": "WEB",
      "url": "http://openwall.com/lists/oss-security/2011/04/21/4"
    },
    {
      "type": "WEB",
      "url": "http://openwall.com/lists/oss-security/2011/04/22/7"
    },
    {
      "type": "WEB",
      "url": "http://rhn.redhat.com/errata/RHSA-2011-0927.html"
    },
    {
      "type": "WEB",
      "url": "http://www.kernel.org/pub/linux/kernel/v2.6/ChangeLog-2.6.38.5"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/47535"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "MODERATE",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2011-05-09T19:55:00Z"
  }
}